Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Upgrading From 4.2.2 To 4.2.3 Rate Topic   - - - - -

 
  • enricciardi
  • Member
  • Trial users
  • Join Date: 22-Aug 18
  • 15 posts

Posted 26 April 2019 - 03:04 PM #1

Finally yesterday got version 4.2.2 installed from 4.1.3

Today, trying to upgrade to 4.2.3 the process stopped with "acces denied" error although I set the permissions to 755/655 as suggested in the forum (and also 777/644 as stated in the Knowledge base).

Then I tried a rollback to 4.2.2 using the "restore.php link"... and the page stopped updating the database with another "access denied" error...

 

Now both the store and the Admin pages are locked with "error 500" and I hate this software.

Any hints???

 

Tnx in advance
 



 
  • poppedweb
  • Authorized Reseller
  • Members
  • Join Date: 02-Aug 16
  • 493 posts

Posted 26 April 2019 - 03:25 PM #2

Finally yesterday got version 4.2.2 installed from 4.1.3

Today, trying to upgrade to 4.2.3 the process stopped with "acces denied" error although I set the permissions to 755/655 as suggested in the forum (and also 777/644 as stated in the Knowledge base).

Then I tried a rollback to 4.2.2 using the "restore.php link"... and the page stopped updating the database with another "access denied" error...

 

Now both the store and the Admin pages are locked with "error 500" and I hate this software.

Any hints???

 

Tnx in advance
 

 

Hello,

 

May I ask why you are not trying to upgrade the store in a development environment first? Also, if you could attach an error log, that'd be great.

 

Kind regards,


PoppedWeb | sales@poppedweb.com | https://poppedweb.com
TurnKey Website Design | Add-Ons | Performance Audits | Dedicated Server Management
24/7 Support | Response within an hour (during working hours).

 
  • enricciardi
  • Member
  • Trial users
  • Join Date: 22-Aug 18
  • 15 posts

Posted 26 April 2019 - 03:59 PM #3

Hello,

 

May I ask why you are not trying to upgrade the store in a development environment first? Also, if you could attach an error log, that'd be great.

 

Kind regards,

 

Could not import the db in the testing server... so i thought it was easier to follow the default upgrade procedure. My fault (?)
And the upgrade log is 13.952.428 bytes now!!! 



 
  • enricciardi
  • Member
  • Trial users
  • Join Date: 22-Aug 18
  • 15 posts

Posted 27 April 2019 - 09:26 AM #4

This is the last error in the log:

 

(/homepages/40/d666451439/htdocs/soldiershop/app/lib/vendor/composer/autoload_psr4.php): failed to open stream: No such file or directory in /homepages/40/d666451439/htdocs/soldiershop/app/lib/vendor/composer/autoload_real.php on line 31
[27-Apr-2019 10:20:30 Europe/London] PHP Fatal error:  require(): Failed opening required '/homepages/40/d666451439/htdocs/soldiershop/app/lib/vendor/composer/autoload_psr4.php' (include_path='.:/usr/lib/php5.6') in /homepages/40/d666451439/htdocs/soldiershop/app/lib/vendor/composer/autoload_real.php on line 31


 
  • enricciardi
  • Member
  • Trial users
  • Join Date: 22-Aug 18
  • 15 posts

Posted 27 April 2019 - 09:33 AM #5

So, I placed a copy of autoload_psr4.php in the directory and the shop is online again!

Now I'll try to upgrade to 4.2.3 once again. It seems to be a timeout error... How to fix it?
 

I have

 

RewriteRule .* - [E=noabort:1]

RewriteRule .* - [E=noconntimeout:1]
 
in .htacces


 
  • enricciardi
  • Member
  • Trial users
  • Join Date: 22-Aug 18
  • 15 posts

Posted 27 April 2019 - 11:22 AM #6

This is the error message I get when trying to update from 4.2.2 to 4.2.3

Maybe there is a conflict with some add-on, but, when I try to disable the installed add-ons the page (admin.php?dispatch=addons.manage) is empty!

 

Any suggestion?! 

Attached Thumbnails

  • Screenshot 2019-04-27 13.13.41.jpg


 
  • enricciardi
  • Member
  • Trial users
  • Join Date: 22-Aug 18
  • 15 posts

Posted 27 April 2019 - 01:23 PM #7

Tryed again after a rollback. 
Then disabled all the add-ons.

 

Got just a couple of db errors and this error log:
 

[27-Apr-2019 01:19:23 Etc/GMT+12] PHP Fatal error:  Call to undefined function fn_get_http_files_dir_path() in /homepages/40/d666451439/htdocs/soldiershop/var/cache/templates/backend/71d1e6965cd77028004a246883b5a91529b18d7a.tygh.fileuploader.tpl.php on line 63
 
the add-ons page is empty...

Still fighting against this garbage software.


 
  • enricciardi
  • Member
  • Trial users
  • Join Date: 22-Aug 18
  • 15 posts

Posted 27 April 2019 - 01:26 PM #8

By the way, at every rollback I have to manually upload the file autoload_psr4.php in app/lib/vendor/composer



 
  • johnbol1
  • Never Re
  • Members
  • Join Date: 23-Feb 10
  • 4490 posts

Posted 27 April 2019 - 08:09 PM #9

well, judging by your posts up to now, once calling it F**ing software and now one calling it garbage?

Im sure thats gonna endear you to everyone.

There are many many users where it runs without issue? so probably  Go away with your bad attitude somewhere else maybe? i hear presta are always looking for ranters  :?

 

or maybe try 

"INSERT INTO ?:foo SET a decent_attitude= response"


Custom printed hi visibility clothing sale the UK's online hivis safety shop
v4.5.2